body {
    margin: 0;
    align-items: center;
    height:100vh;
    background-image: url(background.png);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#232730",endColorstr="#2a3a60",GradientType=1);
    padding:0px;
    scroll-behavior: smooth;
}

p {
    margin: 0;
}

h1{
    padding: 0;
}


.container {
    display: flex;
    justify-content: space-evenly;
    backdrop-filter: blur(6px);
    padding: 1% 0;
    width: 90vw;
    height: 5vh;
    margin-left: auto;
    margin-right: auto;
    background-color: rgba(54, 56, 120, 0.1);
    border-radius: calc((1vh-1vw)/2);
    position: fixed;
    left: 5vw;
    top: 5vh;
    border-radius: 1vw;
    z-index: 1000;
    color: aliceblue;
    font-family: fantasy;
}

#bar {
    width: 100%;
}

#tickets {
    width: auto;
    height: 66.6666vw;
    background-color:black;

}

#tickets {
    width: auto;
    height: 66.6666vw;
    background-color:black;

}
.hbutton {
    width: 30%;
    height: 30%;
    position: relative;
    left: 35%;
    top: 35%;
    box-shadow:
    inset 0 0 30px #6b6b6b,
    inset 20px 0 300px #6b6b6b,
    inset -20px 0 300px #6b6b6b,
    inset 20px 0 100px #6b6b6b,
    inset -20px 0 100px #6b6b6b,
    0 0 50px #6b6b6b,
    -10px 0 30px #6b6b6b,
    10px 0 30px #6b6b6b;
    border-radius: 5em;
    transition: box-shadow 2s;
}

.hbutton:hover .textpre {
    opacity: 0%;
    filter: opacity(0%);
}

.hbutton:not(:hover) .textpost {
    opacity: 0%;
    filter: opacity(0%);
}

.hbutton:hover {   
    width: 30%;
    height: 30%;
    border-radius: 5em; 
    box-shadow:  
    inset 0 0 50px #fff,  
    inset 20px 0 80px #f0f,   
    inset -20px 0 80px #0ff,   
    inset 20px 0 300px #f0f,   
    inset -20px 0 300px #0ff,  
    0 0 50px #fff,
    -10px 0 80px #f0f,  
    10px 0 80px #0ff; 
    position: relative;  
    left: 35%;
    top: 35%;

}


.textpre {
    font-family: Arial, Helvetica, sans-serif;
    z-index: 1;
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    font-size: 3em;
    transition: opacity 2s;
    color: #1c1c1c;
}


.textpost {
    font-family: Arial, Helvetica, sans-serif;
    z-index: 50%;
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    font-size: 5em;
    transition: opacity 2s;
    text-align: center;
    color: azure;
    text-shadow: #0ff;

}

a {
    text-decoration: none;
    color: inherit;
}

marquee {
    font-size: 2vh;
    color: #eb0028;
    text-shadow: #eb0028 10px 0 20px;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
}

.carousel_frame {
    background-color: aqua;
    height: 80vh;
    width: auto;
    padding: 1%;
    padding-bottom: 1%;
    padding-top: 1%;
}

.carousel_container {
    width: 100%;
    height: 102%;
    overflow: hidden;
}




.carousel_images {
    display: flex;
    background-color: blueviolet;
    text-align: center;
    position: relative;
    height: 98%;
    width: 400%;
    animation-name: carousel;
    animation-duration: 15s;
    animation-iteration-count: infinite;

    &:hover {
        animation-play-state: paused;
      }
}

.img_container {
    background-color: magenta;
    background-size: cover;
    width: 25%;
}

@keyframes carousel {
    0% {left: 0%;}
    8.3% {left: -100%;}
    16.6% {left: -100%;}
    24.9% {left: -200%;}
    33.2% {left: -200%;}
    41.5% {left: -300%;}
    49.8% {left: -300%;}
    58.1% {left: -200%;}
    66.4% {left: -200%;}
    74.7% {left: -100%;}
    83% {left: -100%;}  
    91.3% {left: 0%}
}

#image_1 {
    background-color: #f0f;
}

#image_2 {
    background-image: url(https://i.pinimg.com/564x/fa/75/83/fa7583903f87bc6245874e57a1ffc896.jpg);
}

#image_3 {
    background-image: url(https://i.pinimg.com/736x/c7/38/d8/c738d8775ee694b437004b6383a483a8.jpg);
}

#image_4 {
    background-image: url(https://i.pinimg.com/736x/12/83/f6/1283f6460ac7b070931dd3ad45543212.jpg);
}

.speaker_info {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 100%;
    width: 100%;
    background-color: #eb0028;
    text-align: center;
}

.name_and_bio {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: left;
    text-align: left;
}

.speaker_name {
    width: auto;
    font-size: 7vh;
    align-self: left;
}

.speaker_bio {
    width: 50%;
    font-size: 1vw;
}


.speaker_icon {
    background-image: url(speaker.jpg);
    height: 20em;
    aspect-ratio: 1;
    margin-left: 15%;
    margin-right: 10vw;
    flex-shrink: 0;
}

@media only screen and (max-aspect-ratio: 1) {
    .carousel_frame {
        background-color: aqua;
        height: 60vh;
        width: auto;
        padding: 2vw;
        padding-bottom: 2vw;
        padding-top: 2vw;
    }

    .speaker_name {
        font-size: 4vh;
    }

    .speaker_bio {
        width: 90%;
        font-size: 2vh;
        padding-top: 5%;
    }

    .speaker_icon {
        height: 15em;
        aspect-ratio: 1;
        margin-left: 5%;
        margin-right: 5%;
    }

    

    .hbutton {
        width: 60%;
        height: 60%;
        position: relative;
        left: 20%;
        top: 20%;
        box-shadow:
        inset 0 0 30px #6b6b6b,
        inset 20px 0 300px #6b6b6b,
        inset -20px 0 300px #6b6b6b,
        inset 20px 0 100px #6b6b6b,
        inset -20px 0 100px #6b6b6b,
        0 0 50px #6b6b6b,
        -10px 0 30px #6b6b6b,
        10px 0 30px #6b6b6b;
        border-radius: 5em;
        transition: box-shadow 2s;
        background-color: #131313;
    }

    .hbutton:hover {   
        width: 60%;
        height: 60%;
        border-radius: 5em; 
        box-shadow:  
        inset 0 0 50px #fff,  
        inset 20px 0 80px #f0f,   
        inset -20px 0 80px #0ff,   
        inset 20px 0 300px #f0f,   
        inset -20px 0 300px #0ff,  
        0 0 50px #fff,
        -10px 0 80px #f0f,  
        10px 0 80px #0ff; 
        position: relative;  
        left: 20%;
        top: 20%;
    
    }
    
    .textpre {
        font-family: Arial, Helvetica, sans-serif;
        z-index: 1;
        margin: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        font-size: 3em;
        transition: opacity 2s;
        color: #792828;
    }

    .container {
        display: flex;
        justify-content: space-evenly;
        backdrop-filter: blur(6px);
        padding: 1% 0;
        width: 90vw;
        height: 5vh;
        margin-left: auto;
        margin-right: auto;
        background-color: rgba(54, 56, 120, 0.1);
        border-radius: calc((1vh-1vw)/2);
        position: fixed;
        left: 5vw;
        top: 2vh;
        border-radius: 1vw;
        z-index: 1000;
        color: aliceblue;
        font-family: fantasy;
    }

  }

.legal {
    width: 90%;
    background-color: gray;
    margin: auto;
    padding-bottom: 1%;

    height: 100%;
    text-align: center;
    border-radius: 3vh;
    z-index: 4;
}

.whatpara {
    font-family: Arial, Helvetica, sans-serif;
    color: white;
    font-size: 25px;
    width: 80%;
    margin: auto;
    text-align: center;
}


.legalbox{
    background-color: #6b6b6b;
}

.whattitle {
    font-size: 70px;
    color:white;
    font-family: Arial, Helvetica, sans-serif;
    padding-bottom: 3%;
}

.footer-para {
    background-color: #e62b1e;
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    padding: 1%;
}


.ticket_container {
    width: 100%;
    height: 60vmax;
    background-color: black;
    padding-left: 0;
    text-align: center;
    margin: 0;
    padding: 0;
}

.ticket_holder {
    position: relative;
    width: 75vw;
    aspect-ratio: 1;
}

.ticket_white {
    position: absolute;
  height: 30vmax;
  left: 12.5vmax;
  top: 15vmax;
  aspect-ratio: 1.8115746971736204576043068640646;
  background-image: url("ticketbitchwhite.png");
  background-size: cover;
  text-align: center;
}

.ticket_red {
    position: absolute;
  height: 30vmax;
  left: 67vmax;
  top: 20%;
  aspect-ratio: 2/3;
  background-image: url("ticketbitchred.png");
  background-size: cover;
  text-align: center;
}